# Generated by Django 3.0.7 on 2022-11-30 10:01

from django.conf import settings
import django.contrib.auth.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('auth', '0011_update_proxy_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='Otp',
            fields=[
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('otp', models.IntegerField()),
                ('mobile_number', models.CharField(max_length=15, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('is_verify', models.BooleanField(default=False)),
            ],
            options={
                'db_table': 'otp',
            },
        ),
        migrations.CreateModel(
            name='Users',
            fields=[
                ('user_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('mobile_number', models.BigIntegerField()),
            ],
            options={
                'db_table': 'users',
            },
            bases=('auth.user', models.Model),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='UsersForgotPassword',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('otp', models.IntegerField()),
                ('attempt', models.IntegerField(null=True)),
                ('otp_verify', models.BooleanField(default=False)),
                ('users', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_forgot_password', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'customer_forgot_password',
            },
        ),
        migrations.CreateModel(
            name='Address',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('latitude', models.FloatField()),
                ('longitude', models.FloatField()),
                ('address_land_mark', models.CharField(max_length=255)),
                ('city', models.CharField(max_length=255, null=True)),
                ('state', models.CharField(max_length=255, null=True)),
                ('country', models.CharField(max_length=255, null=True)),
                ('pin_code', models.IntegerField(null=True)),
                ('users', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='users_address', to='common.Users')),
            ],
            options={
                'db_table': 'Address',
            },
        ),
    ]
