# Generated by Django 3.0.7 on 2022-11-30 10:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('flocks', '0001_initial'),
        ('common', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='DailyData',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('date', models.DateField()),
                ('mortality', models.IntegerField()),
                ('total_mort', models.FloatField()),
                ('current_bird_count', models.IntegerField()),
                ('feed_stock', models.IntegerField()),
                ('feed_intake', models.IntegerField()),
                ('total_feed', models.IntegerField()),
                ('average_bird_weight', models.IntegerField()),
                ('average_feed', models.FloatField()),
                ('total_average_feed', models.FloatField(default=0)),
                ('fcr', models.FloatField()),
                ('total_fcr', models.FloatField(default=0)),
                ('cooling', models.BooleanField()),
                ('heating', models.BooleanField()),
                ('seek', models.BooleanField()),
                ('medicine', models.BooleanField()),
                ('remarks', models.CharField(max_length=555)),
                ('status', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DarknessTime',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('name', models.CharField(max_length=55)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FeedAvailability',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('name', models.CharField(max_length=55)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Vaccines',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('name', models.CharField(max_length=255)),
                ('full_name', models.CharField(max_length=255)),
                ('description', models.CharField(max_length=555, null=True)),
                ('company_id', models.CharField(max_length=255, null=True)),
                ('status', models.BooleanField(default=1)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FlockVaccination',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('status', models.CharField(choices=[('Start', 'Start'), ('Continue', 'Continue'), ('Complete', 'Complete')], max_length=255)),
                ('dailydata', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='dailydata_flock_vaccine', to='dailydata.DailyData')),
                ('flock', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='flock_flock_vaccine', to='flocks.Flock')),
                ('vaccine', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='vaccine_flock_vaccine', to='dailydata.Vaccines')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='dailydata',
            name='darkness_time',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='darkness_time', to='dailydata.DarknessTime'),
        ),
        migrations.AddField(
            model_name='dailydata',
            name='feed_availability',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='feed_availability', to='dailydata.FeedAvailability'),
        ),
        migrations.AddField(
            model_name='dailydata',
            name='flock',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='flock_daily_data', to='flocks.Flock'),
        ),
        migrations.AddField(
            model_name='dailydata',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_daily_data', to='common.Users'),
        ),
    ]
