# Generated by Django 3.0.7 on 2022-11-30 10:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('common', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Country',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('name', models.CharField(max_length=30)),
                ('code', models.CharField(max_length=255)),
                ('isd_code', models.DecimalField(decimal_places=0, max_digits=6)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='State',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('name', models.CharField(max_length=30)),
                ('code', models.CharField(max_length=255)),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='country_state', to='farm.Country')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Farm',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('name', models.CharField(max_length=30)),
                ('address', models.CharField(max_length=255)),
                ('city', models.CharField(max_length=255)),
                ('pin', models.CharField(max_length=20)),
                ('lat_long', models.CharField(max_length=50)),
                ('shed_count', models.IntegerField()),
                ('status', models.BooleanField(default=1)),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='farm_country', to='farm.Country')),
                ('state', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='farm_state', to='farm.State')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='farm_users', to='common.Users')),
            ],
            options={
                'db_table': 'farms',
            },
        ),
    ]
