# Generated by Django 3.0.7 on 2022-11-30 10:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('farm', '0001_initial'),
        ('common', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Breed',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('code', models.CharField(max_length=255)),
                ('name', models.CharField(max_length=255)),
                ('line', models.CharField(max_length=255)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Integrator',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('name', models.CharField(max_length=255)),
                ('nickname', models.CharField(max_length=255)),
                ('address', models.CharField(max_length=255, null=True)),
                ('city', models.CharField(max_length=100, null=True)),
                ('pin', models.CharField(max_length=20, null=True)),
                ('email', models.EmailField(max_length=254, null=True)),
                ('phone', models.CharField(max_length=255, null=True)),
                ('phone2', models.CharField(max_length=255, null=True)),
                ('contact', models.CharField(max_length=255, null=True)),
                ('country', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='integrator_country', to='farm.Country')),
                ('state', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='integrator_state', to='farm.State')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Hatchery',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('name', models.CharField(max_length=255)),
                ('nickname', models.CharField(max_length=255)),
                ('address', models.CharField(max_length=255)),
                ('city', models.CharField(max_length=100)),
                ('pin', models.CharField(max_length=20)),
                ('email', models.EmailField(max_length=254)),
                ('phone', models.CharField(max_length=255)),
                ('phone2', models.CharField(max_length=255)),
                ('contact', models.CharField(max_length=255)),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='hatchery_country', to='farm.Country')),
                ('state', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='hatchery_state', to='farm.State')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Flock',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('public_id', models.BigIntegerField(editable=False, unique=True)),
                ('name', models.CharField(max_length=255)),
                ('integration', models.BooleanField()),
                ('hatch_date', models.DateField()),
                ('flock_size', models.IntegerField()),
                ('actual_birds', models.IntegerField()),
                ('hatchery_name', models.CharField(max_length=555, null=True)),
                ('chick_weight', models.IntegerField()),
                ('hatchery_vaccine', models.IntegerField()),
                ('feed_sys', models.CharField(choices=[('M', 'M'), ('A', 'A'), ('B', 'B')], max_length=255)),
                ('drinking_sys', models.CharField(choices=[('M', 'M'), ('A', 'A'), ('B', 'B')], max_length=255)),
                ('ec_shed', models.BooleanField()),
                ('chick_cost', models.IntegerField(null=True)),
                ('status', models.BooleanField(default=1)),
                ('breed', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='flock_breed', to='flocks.Breed')),
                ('farm', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='farm_flock', to='farm.Farm')),
                ('hatchery', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='flock_hatchery', to='flocks.Hatchery')),
                ('integrator', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='flock_integrator', to='flocks.Integrator')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='flock_users', to='common.Users')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
